GNU Radio 2.x: ot_pthread_nt.h File Reference

Main Page | Modules | Namespace List | Class Hierarchy | Class List | File List | Class Members | File Members

# ot_pthread_nt.h File Reference

`#include <errno.h>`

Include dependency graph for ot_pthread_nt.h:

Go to the source code of this file.

## Defines
#define | ETIMEDOUT 60
#define | PthreadDraftVersion 10
#define | NoNanoSleep
#define | PthreadSupportThreadPriority
#define | SCHED_FIFO 1
#define | SCHED_RR 2
#define | SCHED_OTHER 3
## Typedefs
typedef timespec | timespec_t
typedef char * | __pthreadLongString_t
typedef void * | __pthreadLongAddr_t
typedef __pthreadLongAddr_t * | __pthreadLongAddr_p
typedef long | __pthreadLongInt_t
typedef unsigned long | __pthreadLongUint_t
typedef __pthreadLongAddr_p | __pthreadTsd_t
typedef __pthread_mutex_t | pthread_mutex_t
typedef __pthread_mutexattr_t | pthread_mutexattr_t
typedef __pthread_cond_t | pthread_cond_t
typedef __pthread_condattr_t | pthread_condattr_t
typedef __pthread_transp_t | pthread_transp_t
typedef __pthread_transp_t * | pthread_transp_p
typedef pthread_transp_p | pthread_t
typedef __pthread_attr_t | pthread_attr_t
typedef unsigned int | pthread_key_t
typedef sched_param | sched_param_t
## Functions
int | pthread_create (pthread_t *thread, const pthread_attr_t *attr, void *(*start_routine)(void *), void *arg)
int | pthread_detach (pthread_t thread)
int | pthread_join (pthread_t thread, void **value_ptr)
void | pthread_exit (void *value_ptr)
int | pthread_attr_init (pthread_attr_t *attr)
int | pthread_attr_destroy (pthread_attr_t *attr)
int | pthread_attr_setstacksize (pthread_attr_t *attr, size_t stacksize)
int | pthread_attr_getstacksize (const pthread_attr_t *attr, size_t *stacksize)
int | pthread_cond_init (pthread_cond_t *cond, const pthread_condattr_t *attr)
int | pthread_cond_destroy (pthread_cond_t *cond)
int | pthread_cond_wait (pthread_cond_t *cond, pthread_mutex_t *mutex)
int | pthread_cond_timedwait (pthread_cond_t *cond, pthread_mutex_t *mutex, const struct timespec *abstime)
int | pthread_cond_signal (pthread_cond_t *cond)
int | pthread_cond_broadcast (pthread_cond_t *cond)
int | pthread_key_create (pthread_key_t *key, void(*destructor)(void *))
int | pthread_key_delete (pthread_key_t key)
int | pthread_mutex_destroy (pthread_mutex_t *mutex)
int | pthread_mutex_init (pthread_mutex_t *mutex, const pthread_mutexattr_t *attr)
int | pthread_mutex_lock (pthread_mutex_t *mutex)
int | pthread_mutex_trylock (pthread_mutex_t *mutex)
int | pthread_mutex_unlock (pthread_mutex_t *mutex)
pthread_t | pthread_self ()
int | pthread_setspecific (pthread_key_t key, const void *value)
void * | pthread_getspecific (pthread_key_t key)
int | pthread_getschedparam (pthread_t thread, int *policy, struct sched_param *param)
int | pthread_setschedparam (pthread_t thread, int policy, const struct sched_param *param)
int | pthread_attr_setschedparam (pthread_attr_t *attr, const struct sched_param *param)
int | pthread_attr_getschedparam (const pthread_attr_t *attr, struct sched_param *param)
int | pthread_delay_np (const struct timespec *interval)
int | pthread_get_expiration_np (const struct timespec *delta, struct timespec *abstime)
int | sched_yield ()
int | sched_get_priority_max (int policy)
int | sched_get_priority_min (int policy)

## Define Documentation

#define ETIMEDOUT 60

#define NoNanoSleep

#define PthreadDraftVersion 10

#define PthreadSupportThreadPriority

#define SCHED_FIFO 1

#define SCHED_OTHER 3

#define SCHED_RR 2

## Typedef Documentation

typedef __pthreadLongAddr_t* __pthreadLongAddr_p

typedef void* __pthreadLongAddr_t

typedef long __pthreadLongInt_t

typedef char* __pthreadLongString_t

typedef unsigned long __pthreadLongUint_t

typedef __pthreadLongAddr_p __pthreadTsd_t

typedef struct __pthread_attr_t pthread_attr_t

typedef struct __pthread_cond_t pthread_cond_t

typedef struct __pthread_condattr_t pthread_condattr_t

typedef unsigned int pthread_key_t

typedef struct __pthread_mutex_t pthread_mutex_t

typedef struct __pthread_mutexattr_t pthread_mutexattr_t

typedef pthread_transp_p pthread_t

typedef struct __pthread_transp_t * pthread_transp_p

typedef struct __pthread_transp_t pthread_transp_t

typedef struct sched_param sched_param_t

typedef struct timespec timespec_t

## Function Documentation

int pthread_attr_destroy | ( | pthread_attr_t * | attr | ) |

int pthread_attr_getschedparam | ( | const pthread_attr_t * | attr,
|  | struct sched_param * | param
| ) |

int pthread_attr_getstacksize | ( | const pthread_attr_t * | attr,
|  | size_t * | stacksize
| ) |

int pthread_attr_init | ( | pthread_attr_t * | attr | ) |

int pthread_attr_setschedparam | ( | pthread_attr_t * | attr,
|  | const struct sched_param * | param
| ) |

int pthread_attr_setstacksize | ( | pthread_attr_t * | attr,
|  | size_t | stacksize
| ) |

int pthread_cond_broadcast | ( | pthread_cond_t * | cond | ) |

int pthread_cond_destroy | ( | pthread_cond_t * | cond | ) |

int pthread_cond_init | ( | pthread_cond_t * | cond,
|  | const pthread_condattr_t * | attr
| ) |

int pthread_cond_signal | ( | pthread_cond_t * | cond | ) |

int pthread_cond_timedwait | ( | pthread_cond_t * | cond,
|  | pthread_mutex_t * | mutex,
|  | const struct timespec * | abstime
| ) |

int pthread_cond_wait | ( | pthread_cond_t * | cond,
|  | pthread_mutex_t * | mutex
| ) |

int pthread_create | ( | pthread_t * | thread,
|  | const pthread_attr_t * | attr,
|  | void *(*)(void *) | start_routine,
|  | void * | arg
| ) |

int pthread_delay_np | ( | const struct timespec * | interval | ) |

int pthread_detach | ( | pthread_t | thread | ) |

void pthread_exit | ( | void * | value_ptr | ) |

int pthread_get_expiration_np | ( | const struct timespec * | delta,
|  | struct timespec * | abstime
| ) |

int pthread_getschedparam | ( | pthread_t | thread,
|  | int * | policy,
|  | struct sched_param * | param
| ) |

void* pthread_getspecific | ( | pthread_key_t | key | ) |

int pthread_join | ( | pthread_t | thread,
|  | void ** | value_ptr
| ) |

int pthread_key_create | ( | pthread_key_t * | key,
|  | void(*)(void *) | destructor
| ) |

int pthread_key_delete | ( | pthread_key_t | key | ) |

int pthread_mutex_destroy | ( | pthread_mutex_t * | mutex | ) |

int pthread_mutex_init | ( | pthread_mutex_t * | mutex,
|  | const pthread_mutexattr_t * | attr
| ) |

int pthread_mutex_lock | ( | pthread_mutex_t * | mutex | ) |

int pthread_mutex_trylock | ( | pthread_mutex_t * | mutex | ) |

int pthread_mutex_unlock | ( | pthread_mutex_t * | mutex | ) |

pthread_t pthread_self | ( |  | ) |

int pthread_setschedparam | ( | pthread_t | thread,
|  | int | policy,
|  | const struct sched_param * | param
| ) |

int pthread_setspecific | ( | pthread_key_t | key,
|  | const void * | value
| ) |

int sched_get_priority_max | ( | int | policy | ) |

int sched_get_priority_min | ( | int | policy | ) |

int sched_yield | ( |  | ) |